订阅本站
收藏本站
微博分享
QQ空间分享

Linux kernel 本地信息泄露漏洞(CVE-2016-9178)

alen 分类:安全维护 时间:2018/11/20 00:00:00 评论: 加入收藏
Linux kernel 本地信息泄露漏洞(CVE-2016-9178)


发布日期:2016-11-24
更新日期:2016-11-29

受影响系统:

Linux kernel < 4.8.7

描述:


BUGTRAQ  ID: 94144
CVE(CAN) ID: CVE-2016-9178

Linux Kernel是Linux操作系统的内核。

Linux kernel 4.7.5之前版本,arch/x86/include/asm/uaccess.h/__get_user_asm_ex宏未初始化某些整数变量,可使本地用户获取内核栈内存的敏感信息。

<*来源:Linux
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载

http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.7.5

https://github.com/torvalds/linux/commit/1c109fabbd51863475cd12ac206bdd249aee35af

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1c109fabbd51863475cd12ac206bdd249aee35af

本文永久更新链接地址:http://www.linuxidc.com/Linux/2016-11/137694.htm

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: